TIFF2PS(1)

NAME
tiff2ps - convert a TIFF image to PostScript™

SYNOPSIS
tiff2ps [ options ] input.tif ...

DESCRIPTION
tiff2ps reads TIFF images and writes PostScript or Encapsulated PostScript (EPS) on the standard output. By default, tiff2ps writes Encapsulated PostScript for the first image in the specified TIFF image file.

By default, tiff2ps will generate PostScript that fills a printed area specified by the TIFF tags in the input file. If the file does not contain XResolution or YResolution tags, then the printed area is set according to the image dimensions. The -w and -h options (see below) can be used to set the dimensions of the printed area in inches; overriding any relevant TIFF tags.

The PostScript generated for RGB, palette, and CMYK images uses the colorimage operator. The PostScript generated for greyscale and bilevel images uses the image operator. When the colorimage operator is used, PostScript code to emulate this operator on older PostScript printers is also generated. Note that this emulation code can be very slow.

Color images with associated alpha data are composited over a white background.

OPTIONS

-1  Generate PostScript Level I (the default).

-2  Generate PostScript Level II.

-a  Generate output for all IFDs (pages) in the input file.

-d  Set the initial TIFF directory to the specified directory number. (NB: directories are numbered starting at zero.) This option is useful for selecting individual pages in a multi-page (e.g. facsimile) file.

-e  Force the generation of Encapsulated PostScript.

-h  Specify the vertical size of the printed area (in inches).

-o  Set the initial TIFF directory to the IFD at the specified file offset. This option is useful for selecting thumbnail images and the like which are hidden using the SubIFD tag.

-p  Force the generation of (non-Encapsulated) PostScript.

-s  Generate output for a single IFD (page) in the input file.

-w  Specify the horizontal size of the printed area (in inches).

EXAMPLES
The following generates PostScript Level II for all pages of a facsimile:
    tiff2ps -a2 fax.tif | lpr
Note also that if you have version 2.6.1 or newer of Ghostscript then you can efficiently preview facsimile generated with the above command.

To generate Encapsulated PostScript for a the image at directory 2 of an image use:
    tiff2ps -d 1 foo.tif
(notice that directories are numbered starting at zero.)

BUGS
Because PostScript does not support the notion of a colormap, 8-bit palette images produce 24-bit PostScript images. This conversion results in output that is six times bigger than the original image and which takes a long time to send to a printer over a serial line. Matters are even worse for 4-, 2-, and 1-bit palette images.

BUGS
Does not handle tiled images when generating PS Level I output.

SEE ALSO
pal2rgb(1), tiffinfo(1), tiffcp(1), tiffgt(1), tiffmedian(1), tiff2bw(1), tiffsv(1), libtiff(3)